# class Tk::Tcllib::Plotchart::PlotSeries

### Constants

SeriesID_TBL
Series_ID

### Public Class Methods

id2obj(chart, id) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 1372
    def self.id2obj(chart, id)
      path = chart.path
      SeriesID_TBL.mutex.synchronize{
        if SeriesID_TBL[path]
          SeriesID_TBL[path][id]? SeriesID_TBL[path][id]: id
        else
          id
        end
      }
    end

new(chart, keys=nil) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 1383
    def initialize(chart, keys=nil)
      @parent = @chart_obj = chart
      @ppath = @chart_obj.path
      Series_ID.mutex.synchronize{
        @path = @series = @id = Series_ID.join(TkCore::INTERP._ip_id_)
        Series_ID[1].succ!
      }
      SeriesID_TBL.mutex.synchronize{
        SeriesID_TBL[@ppath] ||= {}
        SeriesID_TBL[@ppath][@id] = self
      }
      dataconfig(keys) if keys.kind_of?(Hash)
    end

### Public Instance Methods

dataconfig(key, value=None) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 1401
    def dataconfig(key, value=None)
      @chart_obj.dataconfig(@series, key, value)
    end

mutex() click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 1365
    def mutex; @mutex; end

plot(*args) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 1397
    def plot(*args)
      @chart_obj.plot(@series, *args)
    end